Bug 216180 - Fix textproc/extract_url to fetch from GitHub instead of Google Code
Summary: Fix textproc/extract_url to fetch from GitHub instead of Google Code
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-17 13:18 UTC by Ashley Chase
Modified: 2017-01-24 05:54 UTC (History)
2 users (show)

See Also:


Attachments
Patch for tetching from GitHub instead of Google Code (1.61 KB, patch)
2017-01-17 13:18 UTC, Ashley Chase
no flags Details | Diff
extract_url-1.6.1.patch (5.62 KB, patch)
2017-01-22 13:51 UTC, Danilo G. Baio
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ashley Chase 2017-01-17 13:18:58 UTC
Created attachment 178992 [details]
Patch for tetching from GitHub instead of Google Code

textproc/extract_url is currently marked BROKEN because it tries to fetch from Google Code.

This patch updates Makefile and distinfo to use the current source from GitHub and updates version to latest commit (version 1.6).
Comment 1 Danilo G. Baio freebsd_committer 2017-01-22 13:51:10 UTC
Created attachment 179213 [details]
extract_url-1.6.1.patch

Hi.

I want to propose a new patch.

- Update to 1.6.1
- Move to GITHUB
- Remove p5-Getopt-Long dependency with GETOPT_LONG option.
  It's on Perl Core.
- Move sample config file to DATADIR.
- Patch for just use 'sys/ioctl.ph' on FreeBSD.
- Take maintainer'ship

Changelog: https://raw.githubusercontent.com/m3m0ryh0l3/extracturl/master/NEWS

[Q/A]

portlint: OK (looks fine.)

testport:
   poudriere: i386|amd64 - 10.3 p16     (OK)
   poudriere: i386|amd64 - 11   p7      (OK) 
   poudriere: i386|amd64 - 12   r312317 (OK)
Comment 2 commit-hook freebsd_committer 2017-01-23 16:41:44 UTC
A commit references this bug:

Author: olivierd
Date: Mon Jan 23 16:40:44 UTC 2017
New revision: 432249
URL: https://svnweb.freebsd.org/changeset/ports/432249

Log:
  - Update to 1.6.1
  - Switch to GitHub host
  - Remove GETOPT_LONG option
  - Pass maintainership to submitter

  PR:		216180
  Submitted by:	Danilo G. Baio
  MFH:		2017Q1

Changes:
  head/textproc/extract_url/Makefile
  head/textproc/extract_url/distinfo
  head/textproc/extract_url/files/extract_urlview
  head/textproc/extract_url/files/patch-extract__url.pl
  head/textproc/extract_url/files/pkg-message.in
Comment 3 commit-hook freebsd_committer 2017-01-24 05:27:43 UTC
A commit references this bug:

Author: olivierd
Date: Tue Jan 24 05:27:02 UTC 2017
New revision: 432312
URL: https://svnweb.freebsd.org/changeset/ports/432312

Log:
  MFH: r432249

  - Update to 1.6.1
  - Switch to GitHub host
  - Remove GETOPT_LONG option
  - Pass maintainership to submitter

  PR:		216180
  Submitted by:	Danilo G. Baio

  Approved by:	portmgr (feld@)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/textproc/extract_url/Makefile
  branches/2017Q1/textproc/extract_url/distinfo
  branches/2017Q1/textproc/extract_url/files/extract_urlview
  branches/2017Q1/textproc/extract_url/files/patch-extract__url.pl
  branches/2017Q1/textproc/extract_url/files/pkg-message.in
Comment 4 Olivier Duchateau freebsd_committer 2017-01-24 05:54:28 UTC
Committed, thanks!